Skip to main content
GET
https://{tenantDomain}/api/v2
/
branding
/
phone
/
templates
/
{id}
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.Branding.Phone.Templates.Get(
        context.TODO(),
        "id",
    )
}
{
  "id": "<string>",
  "content": {
    "syntax": "<string>",
    "from": "<string>",
    "body": {
      "text": "<string>",
      "voice": "<string>"
    }
  },
  "type": "otp_verify",
  "disabled": false,
  "channel": "<string>",
  "customizable": true,
  "tenant": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required
Required string length: 1 - 255

Response

The phone notification template were retrieved.

id
string
required
Required string length: 1 - 255
content
object
required
type
enum<string>
required
Available options:
otp_verify,
otp_enroll,
change_password,
blocked_account,
password_breach
Maximum string length: 255
disabled
boolean
default:false
required

Whether the template is enabled (false) or disabled (true).

channel
string
customizable
boolean
tenant
string
Required string length: 1 - 255